![Dispel Logo](https://raw.githubusercontent.com/newcastleuniversity/DISPEL/main/docs/_static/dispel-logo.png)

--------------------------------------------------------------------------------

DISPEL is a python DIgital Signal ProcEssing Library developed to standardize extraction of sensor-derived measures (SDMs) from wearables or smartphones data.

- 👋 **Goodbye to Guesswork:** Transparency is key, and with DISPEL, you can track and standardize every step of your data analysis, ditching the guesswork for good.

- 💸 **Kick Clinical Trial Costs to the Curb:** Say hello to DISPEL, your new best friend for slashing the hefty price tag and long timelines of clinical trials. Join the revolution !

- 🐍 **Python Power:** Tap into the power of Python with DISPEL. It's user-friendly, packed with helpful guides, and sprinkled with examples to get your data dancing to your tune.

- 🌊 **Embrace the Data Deluge:** Don't drown in data—master it. DISPEL devours data from any source, spits it out formatted, and readies it for some serious number crunching.

- 💻 **Code That Cares:** Our object-oriented codebase is the heart of a centralized hub designed for all your data analysis needs, making your workflow smooth and seamless.

- 🔬 **Customize Like a Pro:** Flex your research muscles with DISPEL's modular pipeline, which adapts to your project's needs, skips the snags, and keeps the insights rolling in.

- 🏆 **Real-World Ready:** Step out of the lab and into the world with confidence. DISPEL equips you with the tools to factor in real-world variables, ensuring your research stays relevant and resilient.


## Contribution

Join our efforts in enhancing DISPEL's capabilities by contributing new processing modules and improvements; for detailed guidelines, please refer to our [CONTRIBUTING](https://github.com/newcastleuniversity/DISPEL/blob/main/CONTRIBUTING.rst) file.

## Documentation

See our [documentation](https://newcastleuniversity.github.io/DISPEL)
for how to install and get started with `DISPEL`.

## The Team

DISPEL is a community-driven project with several skillful engineers and researchers contributing to it.

DISPEL is currently maintained by [Alf Scotland](https://github.com/alf-scotland), [Angelos Karatsidis](https://github.com/Karatsidis) and [Gautier Cosne](https://github.com/gcosne), with major contributions of talented individuals in various forms and means.
A non-exhaustive list needs to mention: Adrien Juraver, Joaquin Penalver de Andres, Ali Neishabouri, Clément Dulong, Oussama Tchita, Loïc Carment, Angéline Plaud, Kevin Bouaou.

## License

DISPEL has a MIT-license, as found in the [LICENSE](https://github.com/newcastleuniversity/DISPEL/blob/main/LICENSE) file.
